Subject: Re: --no-decorate and %d in git-log(1)

From: Junio C Hamano <[email-masked]>
Date: Sat, 28 Feb 2026 21:59:09 -0800

Marc Branchaud <[email-masked]> writes:

> Given this documented connection between %d/%D and --decorate, it seems 
> reasonable for a reader to assume that --decorate=auto would do the same 
> thing regardless of whether or not a --format=...%d... was present.
> ...
> I note that currently --decorate has no effect at all if the --format 
> doesn't contain %d or %D.  To me this bolsters the argument for making 
> --decorate=no suppress %d/%D.

OK, that's convincing enough.  

I no longer mind cooking such a change a bit longer than usual in
'next' to see if anybody screams, and the have it graduate to a
released version to further see what happens.

Thanks.